{% extends 'base.html.twig' %}

{% block title %}Liste des éditions{% endblock %}

{% block body %}

	<main class="container mt-0 md:mt-12">
		<h1>Liste des éditions</h1>

		  {% for message in app.flashes('success') %}
				<div class="flash-message flash-success">
					{{ message }}
				</div>
		  {% endfor %}


		<div class="flex flex-col my-6">
			<div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
				<div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
					<input type="text" name="searchTableEdition" placeholder="Recherchez parmi les éditions">
					<table id="searchTableEdition" class="min-w-full">
						<thead>
							<tr>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Nom de l'édition/Année
								</th>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Nombre de tables pour les éditeurs
								</th>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Nombre de tables pour les protozones
								</th>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Inscriptions des exposants
								</th>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Inscriptions des boutiques
								</th>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Inscriptions des bénévoles
								</th>
								<th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
							</tr>
						</thead>

						<tbody class="bg-white">
							{% for edition in editions %}
								<tr>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										<div class="text-sm font-medium leading-5 text-gray-900">{{ edition.name }}</div>
										<div class="text-sm leading-5 text-gray-500">{{ edition.year }}</div>
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ edition.numberEditorTables }}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ edition.numberProtozoneTables }}
									</td>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										{% if edition.editorRegistration %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
												Ouvertes
											</span>
										{% else %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
												Fermées
											</span>
										{% endif %}
									</td>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										{% if edition.shopRegistration %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
												Ouvertes
											</span>
										{% else %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
												Fermées
											</span>
										{% endif %}
									</td>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										{% if edition.volunteerRegistration %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
												Ouvertes
											</span>
										{% else %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
												Fermées
											</span>
										{% endif %}
									</td>
									<td class="px-6 py-4 text-sm font-medium leading-5 text-right whitespace-no-wrap border-b border-gray-200">
										<a href="{{ path('edition_show', {'id': edition.id}) }}" class="mr-4 text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Voir</a>
										<a href="{{ path('edition_edit', {'id': edition.id}) }}" class="text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Modifier</a>
									</td>
								</tr>
							{% else %}
								<tr>
									<td class="px-6 py-4" colspan="9">Aucune données</td>
								</tr>
							{% endfor %}
						</tbody>
					</table>
				</div>
			</div>
		</div>

		<a class="btn" href="{{ path('edition_new') }}">Créer une nouvelle édition</a>

	</main>
{% endblock %}
